?><?php

/***********************************************
* CONTENIDO MODUL - INPUT
*
* Modulname        :    Download List
* Author(s)        :    Stefan Seifarth <info@polycoder.de>
* Copyright        :    www.polycoder.de / www.htcm.de
* Created          :    2006-01-07
* Modified         :    2006-11-07
* CON49 Adaption   :    Viktor Lehmann, www.tone2tone.com
* Modified         :    2013-09-02
************************************************/

$db = cRegistry::getDb();
$cfg = cRegistry::getConfig();
$client = cRegistry::getClientId();
$cfgClient = cRegistry::getClientConfig();


// prepare pre-configured values
$selected_dir = "CMS_VALUE[110]";
$selectDir    = "CMS_VAR[110]";
$selected_tpl = "CMS_VALUE[12]";
$selectTpl    = "CMS_VAR[12]";
if ( "CMS_VALUE[16]" != "DESC" ) $sort_checked_asc = "checked"; else $sort_checked_desc = "checked"; 

// find Smarty-Templates which belong to THIS module by scanning the appropriate subdir
$module = new cModuleHandler($cCurrentModule);
$tplFiles = $module->getAllFilesFromDirectory('template');
array_multisort($tplFiles, SORT_ASC, SORT_STRING);

	
$oUploadColl = new cApiUploadCollection();
$oUploadColl->flexSelect('dirname', '', 'idclient=' . $client, 'dirname');

// construct the HTML
$filltable = array();
$fillrow   = array();
$table = new cHTMLTable();
//first row
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("choose_tree"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$select = new cHTMLSelectElement($selectDir);

$option = new cHTMLOptionElement(mi18n("please_choose"), "");
$select->appendOptionElement($option);
while ($oUploadItem = $oUploadColl->next()) {
	$dirname = $oUploadItem->get('dirname');
	
    $option = new cHTMLOptionElement($dirname, $dirname);
    if ($selected_dir == $dirname) {
        $option->setSelected(true);
    }
    $select->appendOptionElement($option);
}
$td->setContent($select);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

//start next row: choose file types to display
$fillrow = array();
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("label_extensions"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$input = new cHTMLTextbox("CMS_VAR[111]", "CMS_VALUE[111]",'30','100','extensions',false,null,'');
$td->setContent($input);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

//start next row: filter files with specific code
$fillrow = array();
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("label_filefilter"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$input = new cHTMLTextbox("CMS_VAR[113]", "CMS_VALUE[113]",'30','100','filefilter',false,null,'');
$td->setContent($input);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

//start next row: insert counter article id (idart), if module is installed
$fillrow = array();
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("label_counter"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$input = new cHTMLTextbox("CMS_VAR[112]", "CMS_VALUE[112]",'4','3','counter',false,null,'');
$td->setContent($input);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

//start next row with sorting info
$fillrow = array();
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("label_sort"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$input = new cHTMLRadiobutton("CMS_VAR[16]", 'ASC', '', $sort_checked_asc);
$input->setLabelText(mi18n("value_ascending"));
$td->setContent($input);
$input2 = new cHTMLRadiobutton("CMS_VAR[16]", 'DESC', '', $sort_checked_desc);
$input2->setLabelText(mi18n("value_descending"));
$td->setContent($input."  ".$input2);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

//start next row with Template info
$fillrow = array();
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("label_template"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$select = new cHTMLSelectElement($selectTpl);

$option = new cHTMLOptionElement(mi18n("please_choose"), "");
$select->appendOptionElement($option);
foreach ($tplFiles AS $key=>$value) {
	$value = str_replace($tplpath, "", $value);

	$option = new cHTMLOptionElement($value, $value);
    if ($selected_tpl == $value) {
        $option->setSelected(true);
    }
    $select->appendOptionElement($option);
}

$td->setContent($select);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

// put all rows in the table
$table->setContent($filltable);

// echo the whole HTML
echo $table->render();

?><?php