<?php
/***********************************************
* CONTENIDO MODUL - OUTPUT
*
* Modulname        :    Download List
* Author(s)        :    Stefan Seifarth <info@polycoder.de>
* Copyright        :    www.polycoder.de / www.htcm.de
* Created          :    2006-01-07
* Modified         :    2006-11-07
* CON49 Adaption   :    Viktor Lehmann, www.tone2tone.com
* Modified         :    2013-09-02
************************************************/

// needs to be included for uplGetFileIcon
cInclude ("includes", "functions.upl.php");

// template defined vars
$sTpl                  = "CMS_VALUE[12]";
$dllist_path           = "CMS_VALUE[110]";
$dllist_extensions     = trim("CMS_VALUE[111]");
$dllist_idart          = trim("CMS_VALUE[112]");
$dllist_filenamefilter = trim("CMS_VALUE[113]");
$cms_sort_direction    = "CMS_VALUE[16]";
$cms_sort_direction    = ($cms_sort_direction == 'DESC') ? 'DESC' : 'ASC' ;

// add filetype condition
$str_where_filetype = "";
if ( strlen($dllist_extensions) > 0 ) {
	$arr_extensions = explode (",",$dllist_extensions);
   
   $arr_where = array();
   foreach ($arr_extensions as $str_extension) {
      $arr_where[] = "'" . trim($str_extension) . "'";
   }
   $str_where_filetype = ' LOWER(filetype) IN('. implode( ",", $arr_where ) .') AND ';
}

// add filename filter condition
$str_where_filenamefilter = "";
if ( strlen($dllist_filenamefilter) > 0) {
   
   $arr_filenamefilter = explode(";", $dllist_filenamefilter);
   $arr_where = array();
   
   foreach ($arr_filenamefilter as $str_filenamefilter) {
      $str_filenamefilter = trim($str_filenamefilter);
      // replace special chars for wildcards
      $str_filenamefilter = str_replace("%","\%", $str_filenamefilter);
      $str_filenamefilter = str_replace("_","\_", $str_filenamefilter);
      $str_filenamefilter = str_replace("*","%", $str_filenamefilter);
      $str_filenamefilter = str_replace("?","_", $str_filenamefilter);
	  $arr_where[] = ' filename LIKE "' . mysql_escape_string($str_filenamefilter) . '"';
   }
   $str_where_filenamefilter = ' ( ' . implode( " OR ", $arr_where ) . ' ) AND ';
}

// get list of all files
$search_string = $str_where_filenamefilter . $str_where_filetype . " dirname = '" . $dllist_path . "'";
$sort_string   = "filename ".$cms_sort_direction;

$dllist_collection = new cApiUploadCollection();
$dllist_collection->flexSelect('filename', '', $search_string, '', $sort_string, '');

	
// initialize needed objects
$obj_file_properties = new cApiPropertyCollection();
$obj_icon = new cHTMLImage();

// run file list
$files = array();

while ( $dllist_item = $dllist_collection->next() ) {
	
	// icon for file
	$obj_icon->setSrc( uplGetFileIcon($dllist_item->get("filename")) );
	$obj_icon->setID("iconDownload");
	$aFileData["icon"] = $obj_icon->toHTML();
	
	// filename
	$aFileData["filename"] = $dllist_item->get("filename");
	$aFileData["filetype"] = $dllist_item->get("filetype");
	$aFileData["size"] = humanReadableSize($dllist_item->get("size"));

	// get metatags for this source file
	$meta = new cApiUploadMeta();
	$meta->loadByUploadIdAndLanguageId( $dllist_item->get("idupl"), $lang );
	$aFileData['medianame']            = $meta->get('medianame');
	$aFileData['description']          = $meta->get('description');
	$aFileData['copyright']            = $meta->get('copyright');
	$aFileData['keywords']             = $meta->get('keywords');
	$aFileData['internal_description'] = $meta->get('internal_description');

	// filecounter
	$str_file_counter_property = $obj_file_properties->getValue("upload", $dllist_item->get("dirname").$dllist_item->get("filename"), "file", "counter");
	$aFileData['counter'] = ( strlen($str_file_counter_property) > 0 ) ? $str_file_counter_property : "0";
	
	// file url for both cases: without counter / with counter (leads to a new article)
	$aFileData['link2pdf']     = $cfgClient[$client]["upl"]["htmlpath"] . $dllist_item->get("dirname") . $dllist_item->get("filename");
	$aFileData['link2counter'] = "front_content.php?idart=" . $dllist_idart . "&changelang=" . $lang .  "&client=" . $client . "&sse_idupl=" . $dllist_item->get("idupl");
	$aFileData['url'] = ( isset($dllist_idart) && !empty($dllist_idart) && (int)$dllist_idart > 0 ) ? $aFileData['link2counter'] : $aFileData['link2pdf'] ;
	
	// add new file item to array
	array_push($files, $aFileData);
}

// set template
if ( !empty($files) ) {
	
	if ( $sTpl != "" ) { 
	$tpl = cSmartyFrontend::getInstance();
	$tpl->assign('error', $error);
	$tpl->assign('files', $files);
	// add head description
	$tpl->assign('HEAD_NAME', mi18n('label_filename') );
	$tpl->assign('HEAD_DESCRIPTION', mi18n('label_description') );
	$tpl->assign('HEAD_FILETYPE', mi18n('label_filetype') );
	$tpl->assign('HEAD_FILESIZE', mi18n('label_size') );
	$tpl->assign('HEAD_COUNTER', mi18n('label_downloads') );
	$tpl->display($sTpl); 
	
	} else {
	
		print mi18n("no_template_found");
	
	}
	
	
} else {
	
	print mi18n("no_files_available");
	
}


?>